# TAO_Singleton_Manager.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/orbconf.h"`
`#include "ace/Object_Manager_Base.h"`
`#include "tao/TAO_Singleton_Manager.inl"`

Include dependency graph for TAO_Singleton_Manager.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Singleton_Manager
| Manager for TAO library services and singleton cleanup. More...

## Variables

TAO_BEGIN_VERSIONED_NAMESPACE_DECL typedef void(* | TAO_unexpected_handler )(void)

## Detailed Description

Id
  TAO_Singleton_Manager.h,v 1.18 2005/12/02 09:45:19 ossama Exp

Header file for the TAO-specific Singleton Manager. Based entirely on ace/Object_Manager.{h,i,cpp}.

Author:
  Ossama Othman <ossama@uci.edu>

## Variable Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL typedef void(* TAO_unexpected_handler)(void)